<div class="container login-container" fxLayout="row" fxLayoutAlign="center center">
    <form [formGroup]="loginForm" fxFlex="30%" fxFlex.sm="50%" fxFlex.xs="90%" style="text-align:center">
        <div class="fixed-action-btn">
            <a class="btn-floating btn-large red">
              <i class="large material-icons ini">access_time</i>
            </a>
          </div>
          <mat-card>
            <mat-card-title>Automatización Control de Horario</mat-card-title>
            <mat-card-subtitle>Inicio de Sesión</mat-card-subtitle>
            <mat-card-content>

                <mat-form-field class="full-width">
                    <input maxlength="50"  id="emailInput" matInput placeholder="Usuario" formControlName="username" autocomplete="off"
                        type="text">
                    <mat-error id="requiredEmailError" *ngIf="loginForm.controls['username'].hasError('required')">
                        usuario red
                        <strong>obligatorio *</strong>
                    </mat-error>

                </mat-form-field>

                <mat-form-field class="full-width">
                    <input minlength="8" maxlength="30"  id="passwordInput" matInput placeholder="Contraseña" formControlName="password" type="password"
                        autocomplete="off">
                    <mat-error id="requiredPasswordError" *ngIf="loginForm.controls['username'].hasError('required')">
                        contraseña red
                        <strong>obligatoria *</strong>
                    </mat-error>
                </mat-form-field>
            </mat-card-content>

            <mat-card-actions class="login-actions">
                <button mat-raised-button id="login" color="primary" [disabled]="loginForm.invalid || loading"
                    (click)="login()">Acceder</button>
            </mat-card-actions>

        </mat-card>

        <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    </form>
</div>